Public Class ucCambiarClave
    Inherits ucBase

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        RegisterCustomMessage(cbpClave)

    End Sub

    Protected Sub cbpClave_Callback(sender As Object, e As DevExpress.Web.CallbackEventArgsBase) Handles cbpClave.Callback
        Dim oUsuario As UsuariosBusinessObject = New UsuariosBusinessObject(CInt(Page.User.Identity.Name))
        If dGen.Library.Security.Cryptography.EncrypterRSAManager.Decrypt(oUsuario.Entity.clave) = txtAntiguaClave.Text Then
            oUsuario.Entity.clave = dGen.Library.Security.Cryptography.EncrypterRSAManager.Encrypt(txtNuevaClave.Text)
            If oUsuario.SaveChanges().EventType = MSG.MsgType.Errors Then
                CustomMessage("Hubo un error en el sistema. Su contraseña NO fue cambiada.", "Notificación de Cambio de Contraseña", cbpClave)
            Else
                CustomMessage("Su contraseña fue cambiada exitosamente", "Notificación de Cambio de Contraseña", cbpClave)
            End If
        Else
            CustomMessage("Su clave No fue modificada, hubo error en la Actual Contraseña.", "Error de Autenticación", cbpClave)
        End If
    End Sub
End Class